Skip to main content
GET
/
products
/
{product_id}
Get product
curl --request GET \
  --url https://api.zenskar.com/products/{product_id} \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "type": "product",
  "description": "<string>",
  "tags": [
    "<unknown>"
  ],
  "sku": "<string>",
  "parent_link_id": "<string>",
  "tax_codes": {},
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "default_pricing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "custom_attributes": {},
  "product_category": "group",
  "product_type": "time_dependent",
  "product_sub_type": "quantity",
  "track_usage": true,
  "enum_values": [
    "<string>"
  ],
  "unit": "<string>",
  "entitlements": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "entitlement_type": "Feature",
      "units": "<string>",
      "is_active": true,
      "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

product_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

Product ID

name
string
required

Product name

type
enum<string>
required

Product Type

Available options:
product,
group
description
string | null

Product Description

tags
any[] | null

Product Tags

sku
string | null

Product SKU

Parent Link ID

tax_codes
Tax Codes · object

Product Tax Codes

is_active
boolean | null

Is Active or not

created_at
string<date-time> | null

Created At

updated_at
string<date-time> | null

Updated At

default_pricing_id
string<uuid> | null

Default Pricing ID

custom_attributes
Custom Attributes · object

Custom Attributes

product_category
enum<string> | null

Product Category

Available options:
group,
standalone,
bundle
product_type
enum<string> | null

Product Type

Available options:
time_dependent,
time_independent
product_sub_type
enum<string> | null

Product Sub Type

Available options:
quantity,
boolean,
credits
track_usage
boolean | null

Track Usage or not

enum_values
string[] | null

Enum Values

unit
string | null

Unit

entitlements
EntitlementResponseSchema · object[] | null

Entitlement